ojph::local::mel_struct Struct Reference

## Public Attributes

ui8 * | buf
ui32 | pos
ui32 | buf_size
int | remaining_bits
int | tmp
int | run
int | k
int | threshold

## Member Data Documentation

## buf

ui8* ojph::local::mel_struct::buf

Referenced by ojph::local::mel_emit_bit(), ojph::local::mel_init(), ojph::local::ojph_encode_codeblock(), and ojph::local::terminate_mel_vlc().

## buf_size

ui32 ojph::local::mel_struct::buf_size

Referenced by ojph::local::mel_emit_bit(), ojph::local::mel_init(), and ojph::local::terminate_mel_vlc().

## k

int ojph::local::mel_struct::k

Referenced by ojph::local::mel_encode(), and ojph::local::mel_init().

## pos

ui32 ojph::local::mel_struct::pos

Referenced by ojph::local::mel_emit_bit(), ojph::local::mel_init(), ojph::local::ojph_encode_codeblock(), and ojph::local::terminate_mel_vlc().

## remaining_bits

int ojph::local::mel_struct::remaining_bits

Referenced by ojph::local::mel_emit_bit(), ojph::local::mel_init(), and ojph::local::terminate_mel_vlc().

## run

int ojph::local::mel_struct::run

Referenced by ojph::local::mel_encode(), ojph::local::mel_init(), and ojph::local::terminate_mel_vlc().

## threshold

int ojph::local::mel_struct::threshold

Referenced by ojph::local::mel_encode(), and ojph::local::mel_init().

## tmp

int ojph::local::mel_struct::tmp

Referenced by ojph::local::mel_emit_bit(), ojph::local::mel_init(), and ojph::local::terminate_mel_vlc().

The documentation for this struct was generated from the following file:

- ojph_block_encoder.cpp